Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 976651 - [PATCH] Add a macro to disable default Python bytecompilation
Summary: [PATCH] Add a macro to disable default Python bytecompilation
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Festi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 574437 1222941 1222944
TreeView+ depends on / blocked
 
Reported: 2013-06-21 06:09 UTC by Bohuslav "Slavek" Kabrda
Modified: 2016-12-20 12:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1222941 1222944 (view as bug list)
Environment:
Last Closed: 2016-12-20 12:39:20 UTC
Type: Bug


Attachments (Terms of Use)
Proposed macros file change (731 bytes, patch)
2013-06-21 06:09 UTC, Bohuslav "Slavek" Kabrda
no flags Details | Diff

Description Bohuslav "Slavek" Kabrda 2013-06-21 06:09:17 UTC
Created attachment 763667 [details]
Proposed macros file change

As discussed in bug 574437, I'd like to propose a macro that would allow disabling default Python bytecompilation easily. See the attached patch for proposed solution. Thanks.

Comment 1 Fedora End Of Life 2013-09-16 14:13:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 2 Fedora Admin XMLRPC Client 2014-11-14 07:24:55 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Florian Festi 2015-05-19 11:46:53 UTC
Added to redhat-rpm-config-31-1.fc23. Sorry for the slow response. I just started working through the bug after taking over the rpm packages.

Please clone this bug if you need the change for older Fedoras releases.

Comment 4 Matej Stuchlik 2015-05-19 13:13:32 UTC
(In reply to Florian Festi from comment #3)
> Added to redhat-rpm-config-31-1.fc23. Sorry for the slow response. I just
> started working through the bug after taking over the rpm packages.
> 
> Please clone this bug if you need the change for older Fedoras releases.

No problem and thank you. :) I've created clones for f22 and f21.

[f22] https://bugzilla.redhat.com/show_bug.cgi?id=1222941
[f21] https://bugzilla.redhat.com/show_bug.cgi?id=1222944

Comment 5 Jan Kurik 2015-07-15 14:47:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 6 Jonathan Underwood 2016-02-01 11:05:18 UTC
I think this can be closed, right?

Comment 7 Fedora End Of Life 2016-11-24 10:59:32 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2016-12-20 12:39:20 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.